CloseCQOperationContext (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.operations, class: CloseCQOperationContext

Package org.apache.geode.cache.operations

# Class CloseCQOperationContext

java.lang.Object
org.apache.geode.cache.operations.OperationContext
org.apache.geode.cache.operations.QueryOperationContext
org.apache.geode.cache.operations.ExecuteCQOperationContext
org.apache.geode.cache.operations.CloseCQOperationContext

@Deprecated public class CloseCQOperationContext extends ExecuteCQOperationContext
Deprecated.
since Geode1.0, use `ResourcePermission` instead
Encapsulates a `OperationContext.OperationCode.CLOSE_CQ` operation for the pre-operation case.

Since:
  GemFire 5.5

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.geode.cache.operations.OperationContext

  `OperationContext.OperationCode`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CloseCQOperationContext(String cqName, String queryString, Set regionNames)`
  Deprecated.
  Constructor for the CLOSE_CQ operation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OperationContext.OperationCode`
  `getOperationCode()`
  Deprecated.
  Return the operation associated with the `OperationContext` object.
  `boolean`
  `isPostOperation()`
  Deprecated.
  True if the context is for post-operation.

  ### Methods inherited from class org.apache.geode.cache.operations.ExecuteCQOperationContext

  `getName`

  ### Methods inherited from class org.apache.geode.cache.operations.QueryOperationContext

  `getQuery, getQueryParams, getQueryResult, getRegionNames, modifyQuery, setPostOperation, setQueryResult, setRegionNames`

  ### Methods inherited from class org.apache.geode.cache.operations.OperationContext

  `isClientUpdate, isClientUpdate`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CloseCQOperationContext

    public CloseCQOperationContext(String cqName, String queryString, Set regionNames)
    Deprecated.
    Constructor for the CLOSE_CQ operation.
    Parameters:
      `cqName` - the name of the continuous query being closed
      `queryString` - the query string for this operation
      `regionNames` - names of regions that are part of the query string

- ## Method Details

  - ### getOperationCode

    public OperationContext.OperationCode getOperationCode()
    Deprecated.
    Return the operation associated with the `OperationContext` object.
    Overrides:
      `getOperationCode` in class `ExecuteCQOperationContext`
    Returns:
      `OperationCode.CLOSE_CQ`.

  - ### isPostOperation

    public boolean isPostOperation()
    Deprecated.
    True if the context is for post-operation.
    Overrides:
      `isPostOperation` in class `QueryOperationContext`
    Returns:
      whether the context is for post-operation